Commit 52c18611 authored by fsmithred's avatar fsmithred

better looking lists

parent 8acc84a1
......@@ -188,7 +188,7 @@ if [[ $exit_code -ne 0 ]] ; then
\nSee $error_log for details. \n\nThis may not be fatal.. Press \"Continue\" to proceed anyway"
# Add button "See error log" ? If so, remove "&" and add continue/exit buttons
#less "$error_log" | yad --text-info --title="Error Log" --width=600 --height=500 --borders=10 \
--button=$"Close":0 &
# --button=$"Close":0 &
if [[ $? -ne 0 ]] ; then
cleanup
exit 1
......@@ -778,7 +778,8 @@ choose_boot () {
boot_dev=$(find /dev -mindepth 1 -maxdepth 1 | egrep "*[shv]d[a-z][1-99]|*nvme[0-9]n[0-9]p[1-99]|*mmcblk[0-9]p[1-99]" \
| sort | awk '{if ($0 != "'$esp_dev'") {print "\n" $0 }}' \
| yad --list --title=$"/boot partition" --center --borders=10 --text=$"Select a partition for /boot." \
--separator="" --column $'Partitions' --height=380 --width=200 --button=$"OK":0)
--separator="" --column ' ' --column $'Partitions' --height=380 --width=200 --button=$"OK":0)
boot_dev=$(echo $boot_dev | sed -e 's/(null)//')
}
if [[ $sep_boot = "yes" ]]; then
......@@ -820,7 +821,8 @@ choose_root () {
install_dev=$(find /dev -mindepth 1 -maxdepth 1 | egrep "*[shv]d[a-z][1-99]|*nvme[0-9]n[0-9]p[1-99]|*mmcblk[0-9]p[1-99]" \
| sort | awk '{if ($0 != "'$esp_dev'") {print "\n" $0 }}' \
| yad --list --title=$"Root Partition" --center --borders=10 --text=$"Choose a partition to use for the installation of the operating system." \
--separator="" --column $'Partitions' --height 380 --width 200 --button=$"OK":0)
--separator="" --column ' ' --column $'Partitions' --height 380 --width 200 --button=$"OK":0)
install_dev=$(echo $install_dev | sed -e 's/(null)//')
if [[ -z $install_dev ]] ; then
yad --window-icon=error --title=$"Error" --center --borders=10 --button=$"Go back":0 --button=$"Exit":1 \
......@@ -881,7 +883,9 @@ choose_home () {
home_dev=$(find /dev -mindepth 1 -maxdepth 1 | egrep "*[shv]d[a-z][1-99]|*nvme[0-9]n[0-9]p[1-99]|*mmcblk[0-9]p[1-99]" \
| sort | awk '{if ($0 != "'$esp_dev'") {print "\n" $0 }}' \
| yad --list --title=$"/home partition" --center --borders=10 --text=$"Select a partition for /home" \
--separator="" --column $'Partitions' --height=380 --width=200 --button=$"OK":0)
--separator="" --column ' ' --column $'Partitions' --height=380 --width=200 --button=$"OK":0)
home_dev=$(echo $home_dev | sed -e 's/(null)//')
if [[ -n $home_dev ]] ; then
if ! [[ -b $home_dev ]] ; then
yad --info --title="Error" --center --borders=10 --button=$"Go back":0 --button=$"Exit":1 \
......@@ -955,6 +959,7 @@ swap_info=$(/sbin/blkid |grep swap | awk '{if ($0 != "'$esp_dev'") {print "\n" $
| yad --list --title=$"swap partition" --center --borders=10 --text=$"Select a partition for swap." \
--separator="" --column $'Partitions' --height=180 --width=600 --button=$"OK":0)
swap_dev=$(echo $swap_info | awk -F: '{ print $1 }')
if [[ -z $swap_dev ]] ; then
yad --window-icon=error --title=$"Error" --center --borders=10 --text=$"You did not choose a swap partition.
Click OK to use a swapfile instead.
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment